> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Plans



## OpenAPI

````yaml get /public/v1/patients/{patient_id}/patient-plans
openapi: 3.0.2
info:
  title: Silna Public API
  version: '1.0'
servers:
  - url: https://app.silnahealth.com/api
security:
  - bearerAuth: []
paths:
  /public/v1/patients/{patient_id}/patient-plans:
    get:
      tags:
        - V1PatientPlansResource
      summary: Get Patient Plans
      operationId: V1PatientPlansResource.get
      parameters:
        - in: path
          name: patient_id
          required: true
          schema:
            type: string
        - in: query
          name: starting_after
          required: false
          schema:
            format: uuid
            type: string
        - in: query
          name: ending_before
          required: false
          schema:
            format: uuid
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: integer
        - in: query
          name: source_id
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeysetPaginatedResponse__V1PatientPlan'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectNotFoundError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
components:
  schemas:
    KeysetPaginatedResponse__V1PatientPlan:
      properties:
        has_more:
          title: Has More
          type: boolean
        records:
          items:
            $ref: '#/components/schemas/V1PatientPlan'
          title: Records
          type: array
        first_id:
          default: null
          title: First Id
          nullable: true
          format: uuid
          type: string
        last_id:
          default: null
          title: Last Id
          nullable: true
          format: uuid
          type: string
      required:
        - has_more
        - records
      title: KeysetPaginatedResponse[V1PatientPlan]
      type: object
      x-folder: null
    AuthenticationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
        type:
          $ref: '#/components/schemas/PublicApiErrorType'
      x-folder: null
    ObjectNotFoundError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    TooManyRequestsError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    V1PatientPlan:
      description: Response schema for patient plan
      properties:
        member_number:
          maxLength: 80
          minLength: 2
          title: Member Number
          type: string
        group_number:
          default: null
          title: Group Number
          nullable: true
          maxLength: 80
          minLength: 2
          type: string
        start_date:
          default: null
          title: Start Date
          nullable: true
          format: date-time
          type: string
        end_date:
          default: null
          title: End Date
          nullable: true
          format: date-time
          type: string
        payor_entity_id:
          format: uuid
          title: Payor Entity Id
          type: string
        insurance_type:
          $ref: '#/components/schemas/InsuranceType'
          default: null
          description: The type of insurance
          nullable: true
        source_id:
          default: null
          description: >-
            Unique identifier for the patient plan. This is (optionally)
            generated and supplied by API clients
          title: Source Id
          nullable: true
          type: string
        id:
          format: uuid
          title: Id
          type: string
        patient_id:
          format: uuid
          title: Patient Id
          type: string
        provider_id:
          format: uuid
          title: Provider Id
          type: string
        plan_order_number:
          description: The order number of the plan (1 for primary, 2 for secondary, etc)
          title: Plan Order Number
          type: integer
        plan_eligibility_status:
          $ref: '#/components/schemas/PatientPlanEligibilityStatus'
        insurance_card_file_id:
          default: null
          description: The file ID corresponding to the front of the insurance card
          title: Insurance Card File Id
          nullable: true
          format: uuid
          type: string
        insurance_card_back_file_id:
          default: null
          description: The file ID corresponding to the back of the insurance card
          title: Insurance Card Back File Id
          nullable: true
          format: uuid
          type: string
        archived_at:
          default: null
          title: Archived At
          nullable: true
          format: date-time
          type: string
        latest_eligibility_check:
          $ref: '#/components/schemas/V1EligibilityInformation'
          default: null
          nullable: true
        latest_benefits_check:
          $ref: '#/components/schemas/V1BenefitsInformation'
          default: null
          nullable: true
      required:
        - member_number
        - payor_entity_id
        - id
        - patient_id
        - provider_id
        - plan_order_number
        - plan_eligibility_status
      title: V1PatientPlan
      type: object
      x-folder: public_api
    PublicApiErrorType:
      type: string
      enum:
        - AUTH_INVALID_REQUEST_HEADER
        - AUTH_INVALID_CREDENTIALS
      x-folder: null
    InsuranceType:
      type: string
      enum:
        - COMMERCIAL
        - MEDICARE
        - MEDICAID
        - REGIONAL_CENTER
        - WORKERS_COMPENSATION
        - AUTO_INSURANCE
      x-folder: patient
    PatientPlanEligibilityStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - NO_CHECK
      x-folder: patient
    V1EligibilityInformation:
      description: Response schema for eligibility check information
      properties:
        status:
          $ref: '#/components/schemas/EligibilityCheckCompleteStatus'
        eligibility_check_id:
          format: uuid
          title: Eligibility Check Id
          type: string
        date_verified:
          default: null
          title: Date Verified
          nullable: true
          format: date-time
          type: string
      required:
        - status
        - eligibility_check_id
      title: V1EligibilityInformation
      type: object
      x-folder: public_api
    V1BenefitsInformation:
      description: Response schema for benefits check information
      properties:
        status:
          $ref: '#/components/schemas/BenefitsCheckCompleteStatus'
        benefits_check_id:
          format: uuid
          title: Benefits Check Id
          type: string
        date_verified:
          default: null
          title: Date Verified
          nullable: true
          format: date-time
          type: string
      required:
        - status
        - benefits_check_id
      title: V1BenefitsInformation
      type: object
      x-folder: public_api
    EligibilityCheckCompleteStatus:
      type: string
      enum:
        - ELIGIBLE
        - INELIGIBLE
        - WITHDRAWN
      x-folder: eligibility_check
    BenefitsCheckCompleteStatus:
      type: string
      enum:
        - COMPLETE
      x-folder: benefit_check
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````